%global momorel 2

Name: fuse
Summary: FUSE: Filesystem in Userspace
Version: 2.7.4
Release: %{momorel}m%{?dist}
License: GPL
URL: http://fuse.sourceforge.net/
Group: System Environment/Libraries
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
Source1: fuse-udev.nodes
Source2: fuse-makedev.d-fuse
Source3: fuse-init

Patch0: fuse-udev_rules.patch

BuildRequires: kernel-devel
PreReq: MAKEDEV, chkconfig

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
FUSE (Filesystem in Userspace) is a simple interface for userspace
programs to export a virtual filesystem to the Linux kernel.  FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.

%package devel
Summary: development libraries of fuse
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
development libraries of fuse

%prep
%setup -q
#disable device creation during build/install
sed -i 's|mknod|echo Disabled: mknod |g' util/Makefile.in
%patch0 -b .patch0

%build
./configure --prefix=%{_prefix} --libdir=%{_libdir} --disable-kernel-module
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

install -m 755 %{SOURCE3} %{buildroot}%{_initscriptdir}/fuse

find %{buildroot} -name "*.la" -delete

install -D -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/udev/makedev.d/99-fuse.nodes
install -D -p -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/makedev.d/z-fuse
chmod 0755 %{buildroot}%{_bindir}/fusermount

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%pre
if [ $1 -eq 1 ]; then
   if ! grep -q '^fuse:' /etc/group; then
      %{_sbindir}/groupadd -r fuse &>/dev/null || :
   fi
fi

%post
/sbin/MAKEDEV fuse
/sbin/ldconfig
/sbin/chkconfig --add fuse

%preun
if [ $1 = 0 ] ; then
     /sbin/chkconfig --del fuse
     /sbin/service fuse stop > /dev/null 2>&1 || :
fi

%postun
if [ $1 = 0 ]; then
   if [ `grep fuse /etc/group | wc -l` = 1 ]; then
      %{_sbindir}/groupdel fuse || :
   fi
fi

/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.LIB ChangeLog FAQ NEWS README README.NFS
/sbin/*
%attr(4754,root,fuse) %{_bindir}/fusermount
%{_bindir}/ulockmgr_server
%{_sysconfdir}/init.d/fuse
%{_sysconfdir}/makedev.d/z-fuse
%config %{_sysconfdir}/udev/rules.d/99-fuse.rules
%{_sysconfdir}/udev/makedev.d/99-fuse.nodes
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc Filesystems doc/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.7.4-2m)
- rebuild against rpm-4.6

* Thu Sep 11 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.7.4-1m)
- update 2.7.4

* Mon May  5 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.7.3-1m)
- update 2.7.3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.7.2-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.7.2-2m)
- %%NoSource -> NoSource

* Wed Dec 26 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.7.2-1m)
- update 2.7.2

* Sun Jun 17 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.6.5-2m)
- modify init script

* Fri Jun  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.6.5-1m)
- update to 2.6.5 (sync with FC-devel)

* Fri Feb 23 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.6.3-2m)
- add libdir option to configure

* Fri Feb 23 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.6.3-1m)
- initial commit
